Merb under 1.9.2

13 views
Skip to first unread message

Carl

unread,
Dec 17, 2010, 4:33:02 PM12/17/10
to merb
Hi all,

We're long time Merb users, since 0.3 or something and we'd like to
move our codebase to Ruby 1.9.2. I was wondering if there's any major
show-stoppers or things we should know before proceeding? We're also
using Datamapper if that changes something.

Thanks!

Carl

ngollan

unread,
Dec 20, 2010, 5:54:40 AM12/20/10
to merb
Hi,
DataMapper in its current incarnations (~>1.0) should work with MRI
1.9.2.

With Merb, things are not so clear. Full 1.9 support is a goal for
1.2, and parts of the system rely on old libraries like older rspec
versions (which should not be an issue at runtime). There should not
be showstopper issues, but if you decide to try, please report any
issues you encounter, and especially workarounds and fixes, on the
issue tracker.

Ted Han

unread,
Dec 20, 2010, 2:52:55 PM12/20/10
to me...@googlegroups.com
DataMapper is now primarily developed on 1.9.2, dkubb runs tests on 1.8.7 and 1.8.6 using backports (although i believe that 1.8.6 is going to fall by the wayside if it hasn't already).


--
You received this message because you are subscribed to the Google Groups "merb" group.
To post to this group, send email to me...@googlegroups.com.
To unsubscribe from this group, send email to merb+uns...@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/merb?hl=en.


Pavel Kunc

unread,
Jan 8, 2011, 9:16:12 AM1/8/11
to merb
The current gem version should be fine. Test it first when you're
doing transition. I didn't have any major problems and there are
already patches for 1.9.2 included in the release.

If you hit some problems please report.

Pavel

pedro mg

unread,
Jan 21, 2011, 4:42:25 AM1/21/11
to me...@googlegroups.com
Hi,

On Sat, Jan 8, 2011 at 2:16 PM, Pavel Kunc <pavel...@gmail.com> wrote:
> The current gem version should be fine. Test it first when you're
> doing transition. I didn't have any major problems and there are
> already patches for 1.9.2 included in the release.
>
> If you hit some problems please report.

we'll be moving 2 merb apps soon to 1.9.2, and will report ;-)

--
pedro mg

Reply all
Reply to author
Forward
0 new messages